import { defineStore } from "pinia";
import userService from "@/services/userService";
import router from "@/routers";
export const updateOrderStore = defineStore({
  id: "updateOrderInfo",
  state: () => ({
    orderId: 0,
    addressId: 0,
    orderFinance: null,
    actionType: null,
    actionTypes: {
      SourceAddress: {
        Name: "SOURCE_ADDRESS",
        Title: "Cập nhật địa chỉ lấy hàng",
      },
      DestAddress: {
        Name: "DEST_ADDRESS",
        Title: "Cập nhật địa chỉ giao hàng",
      },
      Finance: { Name: "FINANCE", Title: "Cập nhật tài chính" },
      Packages: { Name: "PACKAGES", Title: "Cập nhật hàng hóa" },
    },
  }),
  getters: {},
  actions: {
    async updateOrderId(val) {
      this.orderId = val;
    },
    async updateAddressId(addressId) {
      this.addressId = addressId;
    },
    async updateFinance(finItem) {
      this.orderFinance = finItem;
    },
    async updateActionType(val) {
      this.actionType = val;
    },
  },
});
